package com.dxhy.core.job.pojo;

/**
 * TaxCurrent.java 企业税款所属期
 *
 * @author X Yang
 * @date
 */
public class TaxCurrent {
    /**
     * 税号
     */
    private String curTaxno;
    /**
     * 企业名
     */
    private String compName;
    /**
     * 当前税款所属期
     */
    private String incomeMoth;
    /**
     * 勾选开始日期
     */
    private String selectStartDate;
    /**
     * 勾选结束日期
     */
    private String selectEndDate;
    /**
     * 所属期结束日期
     */
    private String incomeEndDate;
    /**
     * 旧税号
     */
    private String oldTaxno;
    /**
     * 企业信用等级
     */
    private String compLevel;
    /**
     * 申报周期１－月报 ３－季报
     */
    private String appPeriod;
    /**
     * 公司类型SC或ZC生产企业；WM外贸企业；ZF外综服企业；QT其他
     */
    private String companyType;
    /**
     * 油类企业类型YLF非成品油企业； YLJX成品油经销企业； YLSC成品油生产企业
     */
    private String oilType;
    /**
     * 纳税人资格01增值税一般纳税人02- 辅导期一般纳税人 04- 特定征收部门05- 转登记纳税人08- 小规模纳税人
     */
    private String taxpayerType;
    /**
     * 档案同步时间
     */
    private String syncTime;
    /**
     * 所属期-申报状态；自然月-申报状态（0未申报，1已申报，2未知状态）
     */
    private String indexInfo;
    /**
     * 自然月-申报状态（0未申报，1已申报，2未知状态）
     */
    private String monthIndexInfo;
    /**
     * 所属期-申报状态（0未申报，1已申报，2未知状态） 
     */
    private String periodIndexInfo;
    /**
     * 锁定状态：0否；1是
     */
    private String latchStatus;
    private String updateSource;
    /**
     * 抵扣限额
     */
    private String limitDkse;
    private String bussiPwd;
    private String newBussiPwd;

    public String getMonthIndexInfo() {
        return monthIndexInfo;
    }

    public void setMonthIndexInfo(String monthIndexInfo) {
        this.monthIndexInfo = monthIndexInfo;
    }

    public String getPeriodIndexInfo() {
        return periodIndexInfo;
    }

    public void setPeriodIndexInfo(String periodIndexInfo) {
        this.periodIndexInfo = periodIndexInfo;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public String getOilType() {
        return oilType;
    }

    public void setOilType(String oilType) {
        this.oilType = oilType;
    }

    public String getTaxpayerType() {
        return taxpayerType;
    }

    public void setTaxpayerType(String taxpayerType) {
        this.taxpayerType = taxpayerType;
    }

    public String getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(String syncTime) {
        this.syncTime = syncTime;
    }

    public String getIndexInfo() {
        return indexInfo;
    }

    public void setIndexInfo(String indexInfo) {
        this.indexInfo = indexInfo;
    }

    public String getCurTaxno() {
        return curTaxno;
    }

    public void setCurTaxno(String curTaxno) {
        this.curTaxno = curTaxno;
    }

    public String getCompName() {
        return compName;
    }

    public void setCompName(String compName) {
        this.compName = compName;
    }

    public String getIncomeMoth() {
        return incomeMoth;
    }

    public void setIncomeMoth(String incomeMoth) {
        this.incomeMoth = incomeMoth;
    }

    public String getSelectStartDate() {
        return selectStartDate;
    }

    public void setSelectStartDate(String selectStartDate) {
        this.selectStartDate = selectStartDate;
    }

    public String getSelectEndDate() {
        return selectEndDate;
    }

    public void setSelectEndDate(String selectEndDate) {
        this.selectEndDate = selectEndDate;
    }

    public String getIncomeEndDate() {
        return incomeEndDate;
    }

    public void setIncomeEndDate(String incomeEndDate) {
        this.incomeEndDate = incomeEndDate;
    }

    public String getOldTaxno() {
        return oldTaxno;
    }

    public void setOldTaxno(String oldTaxno) {
        this.oldTaxno = oldTaxno;
    }

    public String getCompLevel() {
        return compLevel;
    }

    public void setCompLevel(String compLevel) {
        this.compLevel = compLevel;
    }

    public String getAppPeriod() {
        return appPeriod;
    }

    public void setAppPeriod(String appPeriod) {
        this.appPeriod = appPeriod;
    }

    public String getLatchStatus() {
        return latchStatus;
    }

    public void setLatchStatus(String latchStatus) {
        this.latchStatus = latchStatus;
    }

    public String getUpdateSource() {
        return updateSource;
    }

    public void setUpdateSource(String updateSource) {
        this.updateSource = updateSource;
    }

    public String getLimitDkse() {
        return limitDkse;
    }

    public void setLimitDkse(String limitDkse) {
        this.limitDkse = limitDkse;
    }

    public String getBussiPwd() {
        return bussiPwd;
    }

    public void setBussiPwd(String bussiPwd) {
        this.bussiPwd = bussiPwd;
    }

    public String getNewBussiPwd() {
        return newBussiPwd;
    }

    public void setNewBussiPwd(String newBussiPwd) {
        this.newBussiPwd = newBussiPwd;
    }
}
